file handle pcdat/name='ageamarj08.dat'.
data list file pcdat free /
  Y1980000 (F)
  Y2246600 (F)
  Y2246800 (F)
  Y2266000 (F)
.
* The following code works with current versions of SPSS.
missing values all(-5 thru -1).
* older versions of SPSS may require this:
* recode all (-4,-3,-2,-1=-5).
* missing values all (-5).
variable labels
  Y1980000  "PUBLIC ID NUMBER 2008"
  Y2246600  "R EVER USED MARIJUANA 2008"
  Y2246800  "AGE WHEN FIRST USED MARIJUANA 2008"
  Y2266000  "IDENTIFICATION CODE OF MOTHER 2008"
.
* value labels
.
/* Crosswalk for Reference number & Question name
 * Uncomment and edit this RENAME VARIABLES statement to rename variables for ease of use.
 * This command does not guarentee uniqueness
 */  /* *start* */

COMMENT RENAME VARIABLES
    (Y1980000 = PUB_CASEID_2008)
    (Y2246600 = YASR-24A_2008)
    (Y2246800 = YASR-25_2008)
    (Y2266000 = MOTHERID_2008)
.
  /* *end* */

descriptives all.
